import type { App } from 'vue';
import { createPinia } from 'pinia';
import { registerPiniaPersistPlugin } from '@/store/plugin/persist';
import { useWebSocketStore } from '/@/store/modules/websocket';

const store = createPinia();
registerPiniaPersistPlugin(store);

export function setupStore(app: App<Element>) {
  app.use(store);

  const webSocketStore = useWebSocketStore();
  webSocketStore.connectWebSocket();
}

export { store };
